WCTRANS(3) | Library Functions Manual | WCTRANS(3)

# NAME

`wctrans` — get character mapping identifier by name

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <wctype.h>`

wctrans_t
`wctrans`(const char *charmap);

# DESCRIPTION

The `wctrans`() function returns a character mapping identifier corresponding to the locale-specific character mapping name charmap. This identifier can be used on the subsequent calls of `towctrans`(). The following names are defined in all locales:

    tolower toupper

The behaviour of `wctrans`() is affected by the `LC_CTYPE` category of the current locale.

# RETURN VALUES

`wctrans`() returns:

0
  If the string charmap does not corresponding to a valid character mapping name.
non-zero
  A character mapping identifier corresponding to charmap.

Note: wctype_t is a scalar type, e.g., a pointer.

# ERRORS

No errors are defined.

# SEE ALSO

iswctype(3), setlocale(3), wctype(3)

# STANDARDS

The `towctrans`() function conforms to ISO/IEC 9899/AMD1:1995 (“ISO C90, Amendment 1”).

March 4, 2003 | NetBSD 11.0